org.vishia.commander

## Class FcmdMkDirFile

- java.lang.Object
- - org.vishia.commander.FcmdMkDirFile

-     public class FcmdMkDirFile
      extends java.lang.Object

  The F7-Key mkdir is used for mkfile too. This class builds the mkDirFile- dialog window and contains its functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionButton` Action for Buttons
    `(package private) GralUserAction` | `actionOpenDialog` Action for Key F7 for open dialog.
    `protected Fcmd` | `main`
    `(package private) GralButton` | `widgButtonClose`
    `(package private) GralButton` | `widgButtonMkDir`
    `(package private) GralButton` | `widgButtonMkFile`
    `(package private) GralTextField_ifc` | `widgName`
    `(package private) GralTextField_ifc` | `widgParentPath`
    `(package private) GralWindow_ifc` | `windMk`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdMkDirFile(Fcmd main)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `buildWindowConfirmMk()` Builds the content of the confirm-delete window.
    `(package private) void` | `dialogMkDirFile(java.io.File src)` Opens the view window and fills its content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### main

          protected final Fcmd main

    - #### windMk

          GralWindow_ifc windMk

    - #### widgParentPath

          GralTextField_ifc widgParentPath

    - #### widgName

          GralTextField_ifc widgName

    - #### widgButtonClose

          GralButton widgButtonClose

    - #### widgButtonMkFile

          GralButton widgButtonMkFile

    - #### widgButtonMkDir

          GralButton widgButtonMkDir

    - #### actionOpenDialog

          GralUserAction actionOpenDialog

      Action for Key F7 for open dialog. Its like Norton Commander.

    - #### actionButton

          GralUserAction actionButton

      Action for Buttons

  - ### Constructor Detail

    - #### FcmdMkDirFile

          public FcmdMkDirFile(Fcmd main)

  - ### Method Detail

    - #### buildWindowConfirmMk

          void buildWindowConfirmMk()

      Builds the content of the confirm-delete window. The window is created static. It is shown whenever it is used.

    - #### dialogMkDirFile

          void dialogMkDirFile(java.io.File src)

      Opens the view window and fills its content.
      Parameters:
        `src` - The path which is selected as source. It may be a directory or a file.